## Built-in Shell Commands and Options

When processing input lines, the shell looks for several special names of commands or option switches that are built-in the shell. These commands are executed without loading a program and creating a new process, and generally affect how the shell operates. They can be used at the beginning of a line, or following any program separator (“;”, “&”, or “!”). Two or more adjacent built-in commands can be separated by spaces or commas.

The built-in commands and their functions are:

chd `pathlist` | change the working data directory to the directory specified by the pathlist.
chx `pathlist` | change the working execution directory to the directory specified by the pathlist.
ex `name` | directly execute the module named. This transforms the shell process so it ceases to exist and a new module begins execution in its place.
w | wait for any process to terminate.
* `text` | comment: “text” is not processed.
kill `Proc ID` | abort the process specified.
setpr `Proc ID` `priority` | changes process' priority.
x | causes shell to abort on any error (default)
-x | causes shell not to abort on error
p | turns shell prompt and messages on (default)
-p | inhibits shell prompt and messages
t | makes shell copy all input lines to output
-t | does not copy input lines to output (default)

The change directory commands switch the shell's working directory and, by inheritance, any subsequently created child process. The ex command is used where the shell is needed to initiate execution of a program without the overhead of a suspended shell process. The name used is processed according to standard shell operation, and modifiers can be used.